module Kraken
  APP_FILE = "require 'yaml'\n
Kraken::Config.instance.setup do |config|
  config.server name: 'app name', version: '1.0', handler: :godot_30
  config.add_trigger klass: Kraken::Trigger
end\n
Kraken::Migrations.configure do |c|
  c.schema_format = :ruby
  c.db_dir = 'db'
  c.yaml_config = 'config/db.yml'
  c.migrations_paths = ['db/migrate']
end
".freeze

  CONNECTION_FILE = "class Kraken::Connection < Kraken::MemoryModel
  def on_delete; end\n
  def authenticate
    true
  end
end".freeze

  DB_FILE = "server:
  adapter: postgresql
  database: kraken
  encoding: utf8
  host: localhost
  username: postgres
  password: postgres".freeze

  RAKEFILE_FILE = "require 'kraken'\n
Kraken::App.load_app
Kraken::Migrations.load_tasks\n
task :default do
  sh 'bundle exec kraken -s'
end\n
task :console do
  sh 'bundle exec kraken -d'
end\n
task :test do
  sh 'rubocop'
  sh 'bundle exec rspec'
end\n
task :migrate do
  sh 'bundle exec kraken -m'
end".freeze

  GEMFILE_FILE = "source 'https://rubygems.org' do
	gem 'krakenlab', '#{Kraken::VERSION}'\n
  gem 'rspec'
  gem 'rubocop'
end
".freeze

  GITIGNORE_FILE = '*.lock'.freeze

  PROJECT_TREE = {
    'app' => { 'triggers' => {}, 'validators' => {}, 'models' => { 'database' => {}, 'memory' => {} } },
    'config' => { 'app.rb' => APP_FILE, 'connection.rb' => CONNECTION_FILE, 'db.yml' => DB_FILE },
    'db' => { 'seeds.rb' => '', 'migrate' => {} },
    'Rakefile' => RAKEFILE_FILE,
    'Gemfile' => GEMFILE_FILE,
    '.gitignore' => GITIGNORE_FILE
  }.freeze
end
